Bug 137339 - panics in recovery.c when attempting to mount GFS after GFS was not previously unmounted cleanly
panics in recovery.c when attempting to mount GFS after GFS was not previousl...
Status: CLOSED WONTFIX
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ken Preslan
GFS Bugs
:
Depends On: 137333
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-27 12:50 EDT by Corey Marthaler
Modified: 2010-01-11 22:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-28 12:16:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2004-10-27 12:50:21 EDT
Description of problem:
I see different panics/assertions in revocery.c when attempting to
mount filesystems after those filesystems had previously not been
unmounted cleanly.

dlm: corey0: processed 0 requests
GFS: fsid=morph-cluster:corey0.0: Joined cluster. Now mounting FS...
GFS: fsid=morph-cluster:corey0.0: jid=0: Trying to acquire journal lock...
GFS: fsid=morph-cluster:corey0.0: jid=0: Looking at journal...
GFS: fsid=morph-cluster:corey0.0: jid=0: Acquiring the transaction lock...
GFS: fsid=morph-cluster:corey0.0: jid=0: Replaying journal...
dlm: corey0: recover event 9 finished
  mh_magic = 0x01161970
  mh_type = 8
  mh_generation = 0
  mh_format = 800
  mh_incarn = 0
  lh_flags = 0x00000000
  lh_pad = 0
  lh_first = 65750864
  lh_sequence = 8247
  lh_tail = 65751808
  lh_last_dump = 65750624
  lh_reserved =
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
start = 65750896
Kernel panic - not syncing: GFS: Assertion failed on line 362 of file
/usr/src/cluster/gfs-kernel/src/gfs/recovery.c
GFS: assertion: "header.lh_first == start"
GFS: time = 1098892443
GFS: fsid=morph-cluster:corey0.0


Saw this one while trying to reproduce this bug:
dlm: corey0: recover event 9 finished
Info fld=0x0, Current sda: sense key No Sense
Bad metadata at 65775427, should be 9
  mh_magic = 0x01161970
  mh_type = 4
  mh_generation = 265
  mh_format = 400
  mh_incarn = 0
Kernel panic - not syncing: GFS: Assertion failed on line 371 of file
/usr/src/cluster/gfs-kernel/src/gfs/recovery.c
GFS: assertion: "metatype_check_magic == GFS_MAGIC &&
metatype_check_type == ((9))"
GFS: time = 1098895474
GFS: fsid=morph-cluster:corey0.0

How reproducible:
Always
Comment 1 Corey Marthaler 2004-10-27 15:33:56 EDT
These appear to be the result of bz137333
Comment 2 Ken Preslan 2004-10-28 12:16:30 EDT
Dave seems to have fixed 137333.


Note You need to log in before you can comment on or make changes to this bug.